import { IDesignItem } from '../../../../item/IDesignItem.js';
import { IDesignerCanvas } from '../../IDesignerCanvas.js';
import { AbstractExtension } from '../AbstractExtension.js';
import { IExtensionManager } from '../IExtensionManger.js';
export declare class TransformOriginExtension extends AbstractExtension {
    private _startPos;
    private _circle;
    private _circle2;
    private _oldValue;
    private _offsetInControl;
    constructor(extensionManager: IExtensionManager, designerView: IDesignerCanvas, extendedItem: IDesignItem);
    private _getTransformOriginCanvasPoint;
    refresh(cache: Record<string | symbol, any>, event?: Event): void;
    extend(cache: Record<string | symbol, any>, event?: Event): void;
    pointerEvent(event: PointerEvent): void;
    dispose(): void;
}
